Debian Bug report logs - #542662
prompting due to modified conffiles which where not modified by the user

version graph

Package: conntrackd; Maintainer for conntrackd is Alexander Wirt <formorer@debian.org>; Source for conntrackd is src:conntrack.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Thu, 20 Aug 2009 17:45:02 UTC

Severity: serious

Found in versions conntrack/1:0.9.14-1, conntrack/1:0.9.12-1

Fixed in versions conntrack/1:0.9.13-1.1, conntrack/1:0.9.14-2

Done: Alexander Wirt <formorer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>:
Bug#542662; Package conntrackd. (Thu, 20 Aug 2009 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>. (Thu, 20 Aug 2009 17:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: prompting due to modified conffiles which where not modified by the user
Date: Thu, 20 Aug 2009 19:23:07 +0200
[Message part 1 (text/plain, inline)]
Package: conntrackd
Version: 1:0.9.12-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package failed the piuparts upgrade 
test because dpkg detected a conffile as being modified and then prompted the 
user for an action. As there is no user input, this fails. But this is not 
the real problem, the real problem is that this prompt shows up in the first 
place, as there was nobody modifying this conffile at all, the package has 
just been installed and upgraded... 

This is a violation of policy 10.7.3, see 
http://www.debian.org/doc/debian-policy/ch-files.html#s10.7.3, which 
says "[These scripts handling conffiles] must not ask unnecessary questions 
(particularly during upgrades), and must otherwise be good citizens."

In http://lists.debian.org/debian-devel/2009/08/msg00675.html and followups it 
has been agreed that these bugs are to be filed with severity serious.

From the attached log (scroll to the bottom...):

  Setting up conntrackd (1:0.9.12-1) ...
  Installing new version of config file /etc/init.d/conntrackd ...
  Installing new version of config file /etc/default/conntrackd ...
  Installing new version of config file /etc/logrotate.d/conntrackd ...
  
  Configuration file `/etc/conntrackd/conntrackd.conf'
   ==> File on system created by you or by a script.
   ==> File also in package provided by package maintainer.
     What would you like to do about it ?  Your options are:
      Y or I  : install the package maintainer's version
      N or O  : keep your currently-installed version
        D     : show the differences between the versions
        Z     : background this process to examine the situation
   The default action is to keep your current version.
  *** conntrackd.conf (Y/I/N/O/D/Z) [default=N] ? dpkg: error processing 
conntrackd (--configure):
   EOF on stdin at conffile prompt
  Errors were encountered while processing:
   conntrackd
  E: Sub-process /usr/bin/dpkg returned an error code (1)


regards,
	Holger
[conntrackd_1:0.9.12-1.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stefan Fritsch <sf@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 00:03:13 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 00:03:13 GMT) Full text and rfc822 format available.

Message #10 received at 542662-close@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@debian.org>
To: 542662-close@bugs.debian.org
Subject: Bug#542662: fixed in conntrack 1:0.9.13-1.1
Date: Sun, 29 Nov 2009 00:02:21 +0000
Source: conntrack
Source-Version: 1:0.9.13-1.1

We believe that the bug you reported is fixed in the latest version of
conntrack, which is due to be installed in the Debian FTP archive:

conntrack_0.9.13-1.1.diff.gz
  to main/c/conntrack/conntrack_0.9.13-1.1.diff.gz
conntrack_0.9.13-1.1.dsc
  to main/c/conntrack/conntrack_0.9.13-1.1.dsc
conntrack_0.9.13-1.1_i386.deb
  to main/c/conntrack/conntrack_0.9.13-1.1_i386.deb
conntrackd_0.9.13-1.1_i386.deb
  to main/c/conntrack/conntrackd_0.9.13-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542662@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Fritsch <sf@debian.org> (supplier of updated conntrack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Nov 2009 20:41:03 +0100
Source: conntrack
Binary: conntrack conntrackd
Architecture: source i386
Version: 1:0.9.13-1.1
Distribution: unstable
Urgency: high
Maintainer: netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>
Changed-By: Stefan Fritsch <sf@debian.org>
Description: 
 conntrack  - Program to modify the conntrack tables
 conntrackd - Connection tracking daemon
Closes: 542662
Changes: 
 conntrack (1:0.9.13-1.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Prevent dpkg conffile prompt for unmodified conntrackd.conf when upgrading
     from pre 1:0.9.12-1 (closes: #542662).
Checksums-Sha1: 
 f3296e5a1b306234a3dcf35778dc1c522168111c 1222 conntrack_0.9.13-1.1.dsc
 1175bc7fa9825b236e55610eeee758952a4cc046 4997 conntrack_0.9.13-1.1.diff.gz
 bcd6fb9a02c7aa6b239baec93287780072de9e30 21816 conntrack_0.9.13-1.1_i386.deb
 4da7c8567df9cdd4c89da9b96f95cf0f1198371e 98674 conntrackd_0.9.13-1.1_i386.deb
Checksums-Sha256: 
 7b9cb54118489e1bf01eb11bdc1f5d2e1dbb3d2a680bbae8a4c0362c33b3d350 1222 conntrack_0.9.13-1.1.dsc
 cd271a872ded066da3baeecbae86a23aa94acde676c33ee626a6246111a38267 4997 conntrack_0.9.13-1.1.diff.gz
 0045032f72de6a69766b382a292604652e6739b062a83838c2498a56ccf57bbe 21816 conntrack_0.9.13-1.1_i386.deb
 f821a3f4033847ad73c29a999207a92f8e37adf94a25eff25f9980af06732bc6 98674 conntrackd_0.9.13-1.1_i386.deb
Files: 
 9adf398121312a7915670ec30b2f9192 1222 net optional conntrack_0.9.13-1.1.dsc
 481508a1b99d46d83c7b0d39ee4f32f0 4997 net optional conntrack_0.9.13-1.1.diff.gz
 653f990e82fc1ebedf9ae32839a67c26 21816 net optional conntrack_0.9.13-1.1_i386.deb
 da30d062952fb9d92012d1050490eadf 98674 net optional conntrackd_0.9.13-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLEbE5bxelr8HyTqQRAkowAKDJFtu97IwEr6Id+cHentZbvKw0DwCgpAQe
9vNcBU754PNlNdrtuMznR7M=
=e+Rc
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>:
Bug#542662; Package conntrackd. (Sun, 29 Nov 2009 09:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>. (Sun, 29 Nov 2009 09:57:07 GMT) Full text and rfc822 format available.

Message #15 received at 542662@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 542662@bugs.debian.org
Subject: NMU diff
Date: Sun, 29 Nov 2009 10:53:31 +0100 (CET)
[Message part 1 (text/plain, inline)]
A bit late, but here is the NMU diff.
[conntrack_0.9.13-1.1.debdiff (text/plain, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Dec 2009 07:32:58 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 00:39:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.9.14-1. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 00:39:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.9.14-1. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 10:27:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions conntrack/1:0.9.14-1 and reopened. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 10:27:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alexander Wirt <formorer@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 10:39:05 GMT) Full text and rfc822 format available.

Reply sent to Alexander Wirt <formorer@debian.org>:
You have taken responsibility. (Sat, 13 Feb 2010 19:21:07 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 13 Feb 2010 19:21:07 GMT) Full text and rfc822 format available.

Message #32 received at 542662-close@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: 542662-close@bugs.debian.org
Subject: Bug#542662: fixed in conntrack 1:0.9.14-2
Date: Sat, 13 Feb 2010 19:17:10 +0000
Source: conntrack
Source-Version: 1:0.9.14-2

We believe that the bug you reported is fixed in the latest version of
conntrack, which is due to be installed in the Debian FTP archive:

conntrack_0.9.14-2.diff.gz
  to main/c/conntrack/conntrack_0.9.14-2.diff.gz
conntrack_0.9.14-2.dsc
  to main/c/conntrack/conntrack_0.9.14-2.dsc
conntrack_0.9.14-2_amd64.deb
  to main/c/conntrack/conntrack_0.9.14-2_amd64.deb
conntrackd_0.9.14-2_amd64.deb
  to main/c/conntrack/conntrackd_0.9.14-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542662@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Wirt <formorer@debian.org> (supplier of updated conntrack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Feb 2010 11:17:59 +0100
Source: conntrack
Binary: conntrack conntrackd
Architecture: source amd64
Version: 1:0.9.14-2
Distribution: unstable
Urgency: low
Maintainer: Alexander Wirt <formorer@debian.org>
Changed-By: Alexander Wirt <formorer@debian.org>
Description: 
 conntrack  - Program to modify the conntrack tables
 conntrackd - Connection tracking daemon
Closes: 542662
Changes: 
 conntrack (1:0.9.14-2) unstable; urgency=low
 .
   * Integrate lost NMU from Stefan Fritsch. Thanks Stefan
   * Prevent dpkg conffile prompt for unmodified conntrackd.conf when upgrading
     from pre 1:0.9.12-1 (closes: #542662).
Checksums-Sha1: 
 d877ea4162928458418f850f6f665e36179635a4 1121 conntrack_0.9.14-2.dsc
 32aa78c2ac472676f1e96cbbcfcda6b1d87a29e2 6022 conntrack_0.9.14-2.diff.gz
 6a0e432f9c5f1e60269fb4a0bfc68be1e06b8000 24054 conntrack_0.9.14-2_amd64.deb
 7cdca276cd3e6fd48750df6aba99d63f66380631 118084 conntrackd_0.9.14-2_amd64.deb
Checksums-Sha256: 
 883728f5e771114c15c1c625cf1577be177b9f974e9a08cadc306293a8c9fe88 1121 conntrack_0.9.14-2.dsc
 48f971c03a9ed670a762fa7e196fc3e1ba5cad39357a68476e848a8a7a404ea1 6022 conntrack_0.9.14-2.diff.gz
 95dab1d2e40aae71cea4e10e8930f162259d19063d0653e45c09acc3eefa6648 24054 conntrack_0.9.14-2_amd64.deb
 87d17ac0a52b1b97fc26f525e4d88c15c5da906c27919d3d8ab661462031ed92 118084 conntrackd_0.9.14-2_amd64.deb
Files: 
 ca021303813a5dec2a595cd4fa48040c 1121 net optional conntrack_0.9.14-2.dsc
 f9a3d64e80be3ef9f211617678b1ef4a 6022 net optional conntrack_0.9.14-2.diff.gz
 0d18df2479a7f2b2bc4bc0a807f34bb8 24054 net optional conntrack_0.9.14-2_amd64.deb
 023cca7a2b03bf160c9886fb4db8fa93 118084 net optional conntrackd_0.9.14-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt2+fkACgkQ01u8mbx9AgrIEwCgyhsUKRt2qYXTIgZa0IzhyOQ1
PkUAn3wu2a1/OPzd9qTLbvCFkBApsIUM
=7Uim
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Mar 2010 07:38:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:52:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.